<?php

namespace STM\Club;

use \Exception;

/**
 * Test class for ClubValidator.
 * Generated by PHPUnit on 2012-02-14 at 14:15:30.
 * @group team_club
 */
class ClubValidatorTest extends \PHPUnit_Framework_TestCase {

    protected function setUp() {
        ClubValidator::init();
    }

    public function testCheck_create() {
        $this->assert_method('checkCreate');
    }

    public function testCheck_club_update() {
        $this->assert_method('checkClubUpdate');
    }

    private function assert_method($method) {
        $this->assert_bad_arguments($method, null);
        $this->assert_bad_arguments($method, new Exception());
        $this->assert_bad_arguments($method, array('name' => 'test'));         
    }

    private function assert_bad_arguments($method, $data) {
        ClubValidator::init();
        parent::assertFalse(ClubValidator::$method($data));
        ClubValidator::init();
    }    

}

?>
